######################################################################
#      S H O P D O C _ P R O G R A M V I E W _ H T M L . T C L
######################################################################
# EVENT HANDLER SECTION 
#   This section contains the control section for creating an operation list 
#                 
#   CAM will loop thru each event in the path and call the procedure
#   whose name is the name of the event.
#
#
# 
#
#_______________________________________________________________________________
# Here you should define any global variables that will be used in any one
# of the event handler.
#_______________________________________________________________________________
set mom_source_directory [MOM_ask_env_var UGII_CAM_SHOP_DOC_DIR]
source "$mom_source_directory/naglowek.tcl"
set table_flag 0
set template_type ""
set template_subtype ""

# Output operator messages and pprints
global list_messages
set list_messages 1


# This procedure creates a part documentation.
#_______________________________________________________________________________
#==============================================================================
proc MOM_Start_Part_Documentation {} {
#==============================================================================
    global mom_sys_output_file_suffix
    set mom_sys_output_file_suffix "html"

    Open_Files
  # Calls the shopdocs header
    ShopDoc_Header_html

}

#==============================================================================
proc MOM_Part_Documentation {} {
#==============================================================================

  MOM_do_template_file "[MOM_ask_env_var UGII_CAM_SHOP_DOC_DIR]shopdoc_programview_text.tpl"
}

#==============================================================================
proc MOM_End_Part_Documentation {} {
#==============================================================================
  MOM_output_literal "</HTML>"
}

#===============================================================================
# Setup
#===============================================================================
#==============================================================================
proc MOM_SETUP_HDR {} {
#==============================================================================

   # calls the setup header
     Setup_Header_html
}


#==============================================================================
proc MOM_SETUP_BODY {} {
#==============================================================================

  #MOM_output_literal "<P ALIGN=CENTER><B><FONT SIZE=4 COLOR=800000><I> \
#                        OPERATION  LIST BY PROGRAM </I></FONT></B></P>"


MOM_output_literal "<P ALIGN=CENTER><B><FONT SIZE=4 COLOR=800000><I> \
             LISTA OPERACJI WEDUG PROGRAMOW </I></FONT></B></P>"
}


#==============================================================================
proc MOM_SETUP_FTR {} {
#==============================================================================

}

#===============================================================================
# Operation
#===============================================================================
#==============================================================================
proc MOM_OPER_BODY {} {
#==============================================================================
  global mom_template_type
  global mom_template_subtype
  global template_type
  global template_subtype
  global mom_operation_name
  global mom_operation_type

  set template_type $mom_template_type
  set template_subtype $mom_template_subtype

  if { $mom_operation_type == "Wire EDM" } \
  {
      set oper_desc "$template_type/$template_subtype"
      MOM_output_literal "<tr>"
      MOM_output_literal "<td ALIGN=CENTER>$mom_operation_name</td>"
      MOM_output_literal "<td ALIGN=CENTER>$oper_desc</td>"
      MOM_output_literal "<td ALIGN=CENTER>WIRE</td>"
      MOM_output_literal "</tr>"
  }

}

#==============================================================================
proc MOM_TOOL_BODY {} {
#==============================================================================
  global mom_fixture_offset_value
  global mom_operation_name
  global mom_operation_type
  global mom_tool_number
  global mom_tool_diameter
  global mom_tool_length
  global mom_tool_name
  global mom_spindle_rpm
  global mom_feed_cut_value
  global mom_stock_part
  global mom_stock_floor
  global mom_tool_name
  global template_type
  global template_subtype
  global table_flag

  global list_messages
  
  if {!$table_flag} \
  {
    MOM_output_literal "<BR>"
    MOM_output_literal "<CENTER><table WIDTH=700 BORDER=1>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             BAZA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=34%><FONT COLOR=800000>\
                             NAZWA OPERACJI </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=34%><FONT COLOR=800000>\
                             TYP OPERACJI </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NUMER NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             REDNICA NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             DUGO NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NAZWA NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             OBROTY {1/min} </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             POSUW {mm/min} </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NADATEK OD CIAN </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NADATEK OD DNA </FONT></th>"
    MOM_output_literal "</tr>"
    set table_flag 1
  }

  if { $template_type == ""  && $template_subtype == ""} \
  {
      set oper_desc "--/--"
  } elseif { $template_type == "" } \
  {
      set oper_desc "--/"
      append oper_desc $template_type
  } elseif { $template_subtype == ""} \
  {
      set oper_desc "$template_type/"
      append oper_desc "--"
  } else \
  {
      set oper_desc "$template_type/$template_subtype"
  }

  MOM_output_literal "<tr>"
  MOM_output_literal "<td ALIGN=CENTER>G$mom_fixture_offset_value</td>"
  MOM_output_literal "<td ALIGN=CENTER>$mom_operation_name</td>"
  MOM_output_literal "<td ALIGN=CENTER>$oper_desc</td>"
  MOM_output_literal "<td ALIGN=CENTER>T$mom_tool_number</td>"
  MOM_output_literal "<td ALIGN=CENTER>D[format "%.3f" $mom_tool_diameter]</td>"
  MOM_output_literal "<td ALIGN=CENTER>L[format "%.3f" $mom_tool_length]</td>"
  MOM_output_literal "<td ALIGN=CENTER>$mom_tool_name</td>"
  MOM_output_literal "<td ALIGN=CENTER>S[format "%.0f" $mom_spindle_rpm]</td>"
  MOM_output_literal "<td ALIGN=CENTER>F[format "%.3f" $mom_feed_cut_value]</td>"
    MOM_output_literal "<td ALIGN=CENTER>[format "%.3f" $mom_stock_part]</td>"
    MOM_output_literal "<td ALIGN=CENTER>[format "%.3f" $mom_stock_floor]</td>"
    MOM_output_literal "</tr>"

  set template_type ""
  set template_subtype ""


if {$list_messages == 1} \
  {
  set my_source_directory "[MOM_ask_env_var UGII_CAM_SHOP_DOC_DIR]\\"
  set my_tcl "$my_source_directory\\shopdoc_ude.tcl"
  set my_def "$my_source_directory\\shopdoc_ude_html.def"
  MOM_list_oper_path $mom_operation_name "$my_tcl" "$my_def" 
  MOM_output_literal " "
  }



}

proc MOM_PROGRAMVIEW_HDR {} {
}


#==============================================================================
proc MOM_PROGRAMVIEW_FTR {} {
#==============================================================================
  global table_flag
  if {$table_flag} \
  {
     MOM_output_literal "</table>"
     MOM_output_literal "<BR>"
     set table_flag 0
  }
}

#==============================================================================
proc MOM_PROGRAM_BODY {} {
#==============================================================================
   global mom_member_nest_level
   global mom_object_name
   global table_flag

   if {$table_flag} \
   {
      MOM_output_literal "</table>"
      MOM_output_literal "<BR>"
      set table_flag 0
   }

   MOM_output_literal "<BR>"
   MOM_output_literal "<CENTER><table WIDTH=700 BORDER=0>"
   MOM_output_literal "<tr ALIGN=CENTER VALIGN=CENTER>"
   MOM_output_literal "<th ALIGN=LEFT WIDTH=50%><FONT COLOR=800000>\
           NAZWA PROGRAMU : $mom_object_name </FONT></th>"
   #MOM_output_literal "</tr>"
   #MOM_output_literal "</table>"

   MOM_output_literal "<CENTER><table WIDTH=700 BORDER=1>"
   MOM_output_literal "<tr ALIGN=CENTER VALIGN=CENTER>"
   MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\

                             BAZA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=34%><FONT COLOR=800000>\
                             NAZWA OPEACJI </FONT></th>"
   MOM_output_literal "<th ALIGN=CENTER WIDTH=34%><FONT COLOR=800000>\
                             OPIS OPERACJI </FONT></th>"
   MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NUMER NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             REDNICA NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             DUGO NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NAZWA NARZDZIA </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             OBROTY {1/min} </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             POSUW {mm/min} </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NADATEK OD CIAN </FONT></th>"
    MOM_output_literal "<th ALIGN=CENTER WIDTH=33%><FONT COLOR=800000>\
                             NADATEK OD DNA </FONT></th>"
   MOM_output_literal "</tr>"
   MOM_output_literal "<BR>"
   set table_flag 1
}

#==============================================================================
proc MOM_MEMBERS_FTR {} {
#==============================================================================
  global table_flag

  if { $table_flag == 1} \
  {
    MOM_output_literal "</table>"
    MOM_output_literal "<BR>"
    set table_flag 0
  }
}


#==============================================================================
proc MOM_MEMBERS_HDR {} {
#==============================================================================
}
